extends Node3D

@export var template_name = ""
@export var material_set = ""
@export var is_invisible = false


var scripting_tags = {}
var current_rotation = 0

func get_dict():
	var element_rotation = self.get_rotation_degrees()

	return {
		"name" : self.template_name,
		"rotation" : element_rotation.y,
		"material_set" : self.material_set
	}


func hide_mesh():
	$"mesh".hide()

func set_material(index, material):
	$"mesh".set_surface_override_material(index, material)
